org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query

## Interface EObjectLiteralQuery

All Superinterfaces:
  Query

    public interface EObjectLiteralQuery
    extends Query

A representation of the model object 'EObject Literal Query'.

The following features are supported:

- `Element`

Since:
  0.2
See Also:
  `QueryPackage.getEObjectLiteralQuery()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`EObject` `getElement()` Returns the value of the 'Element' reference.
`void` `setElement(EObject value)` Sets the value of the '`Element`' reference.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible.Query

`isCanBeCached, isCanHaveSideEffects, setCanBeCached, setCanHaveSideEffects`

### Method Detail

#### getElement

    EObject getElement()

Returns the value of the 'Element' reference.

If the meaning of the 'Element' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Element' reference.
See Also:
  `setElement(EObject)`, `QueryPackage.getEObjectLiteralQuery_Element()`
Generated:
Model:

#### setElement

    void setElement(EObject value)

Sets the value of the '`Element`' reference.

Parameters:
  `value` - the new value of the 'Element' reference.
See Also:
  `getElement()`
Generated: